Fix idle=poll

From hugh@veritas.com 

x86_64 idle=poll might be a little less responsive than it should: unlike
mwait_idle, and unlike i386, its poll_idle left TIF_POLLING_NRFLAG set.

Signed-off-by: Hugh Dickins <hugh@veritas.com>

Index: linux/arch/x86_64/kernel/process.c
===================================================================
--- linux.orig/arch/x86_64/kernel/process.c
+++ linux/arch/x86_64/kernel/process.c
@@ -123,6 +123,7 @@ static void poll_idle (void)
 			: :
 			"i" (_TIF_NEED_RESCHED), 
 			"m" (current_thread_info()->flags));
+		clear_thread_flag(TIF_POLLING_NRFLAG);
 	} else {
 		set_need_resched();
 	}
